Subject: Re: [Roll] questions about ETX (was: question on gain control)

From: Omprakash Gnawali <[email-masked]>
Date: Mon, 9 Aug 2010 17:06:50 -0700

These are excellent comments about ETX. Without thinking about them
carefully we can run into problems when we use ETX for routing.
However, from what I remember from the metrics draft discussion, the
WG decided to not prescribe a particular way of computing ETX. JP is
probably the best person to tell us if this is still the position of
the WG.

- om_p

On Wed, Jul 28, 2010 at 6:55 AM, Monnerie, Emmanuel
<[email-masked]> wrote:
> That is correct. It is problematic to use SNR as a link quality
> indicator. Computing a SNR is not an easy matter, particularly when it
> has to be computed by a low cost and low power device. A SNR is the
> ratio of the received signal power of a good packet over the average
> noise power. When a link is bad, the device will not have many good
> packets to choose from to measure the signal power and therefore the
> statistics can be very inaccurately computed.
>
> I think that ETX or PRR are better metrics in general. But I have a
> similar question regarding the definition of the ETX metric (cf:
> draft-gnawali-roll-etxof-01). I think it is missing some parameters to
> be complete: Which packet transmission is used to compute this
> statistic? How long is the packet?
>
> My point is that the ETX value will depend on the length of the packet.
> The standard should either define a baseline packet length to compute
> this value or the definition of the ETX should be expanded to allow a
> normalization of this value, based on the length of the packets.
>
> Another question is: which ETX value should be used by default, when a
> device discovers a new link? Should it be Infinity, until the statistics
> are computed or should it be a more reasonable value (like 1 , 2 or 3)?
> Depending on which decision is made, the system behavior can change
> quite a bit.
>
> Any suggestion?
>
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Philip Levis
> Sent: Tuesday, July 27, 2010 6:48 PM
> To: Yoav Ben-Yehezkel
> Cc: [email-masked]
> Subject: Re: [Roll] question on gain control
>
> (...)
>
>> Actually using variable transmission power to infer link quality and
> stability is problematic: it can be a link has
>> high SNR but low PRR (e.g., due to external interference).
>
>>Phil
>
>
>
>
> Emmanuel Monnerie
> Senior Research Engineer
> Landis+Gyr
> Energy Management Solutions
> Office: +1 678 258 1695
> Fax: +1 678 258 1316
> [email-masked]
> www.landisgyr.com
> manage energy better
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll
>